## golang-github-getsentry-sentry-go 0.9.0

=== debian/changelog ===
golang-github-getsentry-sentry-go (0.9.0-2) unstable; urgency=medium

  * Re-upload without binaries.

 -- Marco d'Itri <md@linux.it>  Wed, 13 Jan 2021 04:58:36 +0100

golang-github-getsentry-sentry-go (0.9.0-1) unstable; urgency=medium

  * Initial release.

 -- Marco d'Itri <md@linux.it>  Sun, 03 Jan 2021 19:58:05 +0100
