=== debian/control ===
Source: golang-github-getsentry-sentry-go
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Marco d'Itri <md@linux.it>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13), dh-golang, golang-any,
	golang-github-gin-gonic-gin-dev,
	golang-github-go-errors-errors-dev,
	golang-github-google-go-cmp-dev,
	golang-github-pkg-errors-dev,
	golang-github-valyala-fasthttp-dev,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-getsentry-sentry-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-getsentry-sentry-go.git
Homepage: https://github.com/getsentry/sentry-go
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/getsentry/sentry-go

Package: golang-github-getsentry-sentry-go-dev
Architecture: all
Depends: golang-github-gin-gonic-gin-dev,
         golang-github-go-errors-errors-dev,
         golang-github-google-go-cmp-dev,
         golang-github-pkg-errors-dev,
         golang-github-urfave-negroni-dev,
         golang-github-valyala-fasthttp-dev,
         ${misc:Depends}
Description: Official Sentry SDK for Go (library)
 sentry-go provides a Sentry client implementation for the Go
 programming language. This is the next line of the Go SDK for Sentry
 (https://sentry.io/), intended to replace the raven-go package.
