=== debian/rules ===
#!/usr/bin/make -f

# the dependencies of these modules have not yet been packaged for Debian
export DH_GOLANG_EXCLUDES := ^github\.com/getsentry/sentry-go/(echo|example/.+|fasthttp_|gin_|iris|martini|negroni)$$

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

# some tests depend on modules that have not yet been packaged for Debian
override_dh_auto_test:
