## golang-github-getsentry-sentry-go 0.11.0

=== debian/changelog ===
golang-github-getsentry-sentry-go (0.11.0-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 19 Sep 2021 00:12:38 +0200
