=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 	golang-github-gin-gonic-gin-dev,
 	golang-github-go-errors-errors-dev,
 	golang-github-google-go-cmp-dev,
+	golang-github-labstack-echo-dev,
 	golang-github-pkg-errors-dev,
 	golang-github-valyala-fasthttp-dev,
 Standards-Version: 4.5.0
