## golang-github-getsentry-sentry-go 0.24.1

=== debian/changelog ===
golang-github-getsentry-sentry-go (0.24.1-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 24 Sep 2023 22:42:55 +0200
