=== debian/control ===
--- 
+++ 
@@ -10,8 +10,10 @@
 	golang-github-google-go-cmp-dev,
 	golang-github-labstack-echo-dev,
 	golang-github-pkg-errors-dev,
+	golang-github-sirupsen-logrus-dev,
 	golang-github-valyala-fasthttp-dev,
-Standards-Version: 4.5.0
+	golang-opentelemetry-otel-dev,
+Standards-Version: 4.6.2.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-getsentry-sentry-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-getsentry-sentry-go.git
 Homepage: https://github.com/getsentry/sentry-go
@@ -20,13 +22,16 @@
 
 Package: golang-github-getsentry-sentry-go-dev
 Architecture: all
-Depends: golang-github-gin-gonic-gin-dev,
-         golang-github-go-errors-errors-dev,
-         golang-github-google-go-cmp-dev,
-         golang-github-pkg-errors-dev,
-         golang-github-urfave-negroni-dev,
-         golang-github-valyala-fasthttp-dev,
-         ${misc:Depends}
+Depends:
+	golang-github-gin-gonic-gin-dev,
+	golang-github-go-errors-errors-dev,
+	golang-github-google-go-cmp-dev,
+	golang-github-pkg-errors-dev,
+	golang-github-sirupsen-logrus-dev,
+	golang-github-urfave-negroni-dev,
+	golang-github-valyala-fasthttp-dev,
+	golang-opentelemetry-otel-dev,
+	${misc:Depends}
 Description: Official Sentry SDK for Go (library)
  sentry-go provides a Sentry client implementation for the Go
  programming language. This is the next line of the Go SDK for Sentry
