## golang-github-getsentry-sentry-go 0.29.1

=== debian/changelog ===
golang-github-getsentry-sentry-go (0.29.1-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Mon, 21 Oct 2024 00:45:49 +0200
