=== debian/changelog ===
golang-github-getsentry-sentry-go (0.40.0-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 11 Jan 2026 01:58:07 +0100
