=== debian/control ===
--- 
+++ 
@@ -5,15 +5,17 @@
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13), dh-golang, golang-any,
+	golang-github-buger-jsonparser-dev,
 	golang-github-gin-gonic-gin-dev,
 	golang-github-go-errors-errors-dev,
 	golang-github-google-go-cmp-dev,
 	golang-github-labstack-echo-dev,
 	golang-github-pkg-errors-dev,
+	golang-github-rs-zerolog-dev,
 	golang-github-sirupsen-logrus-dev,
 	golang-github-valyala-fasthttp-dev,
 	golang-opentelemetry-otel-dev,
-Standards-Version: 4.6.2.0
+Standards-Version: 4.7.3.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-getsentry-sentry-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-getsentry-sentry-go.git
 Homepage: https://github.com/getsentry/sentry-go
